import React from 'react';
import { ViewProps } from 'react-native';
declare type ISupportedTransitions = {
    opacity?: number;
    translateY?: number;
    translateX?: number;
    scale?: number;
    scaleX?: number;
    scaleY?: number;
    rotate?: string;
};
declare type ITransitionConfig = {
    type?: 'spring' | 'timing';
    [key: string]: any;
};
interface ITransitionProps extends ViewProps {
    onTransitionComplete?: (s: 'entered' | 'exited') => void;
    initial: ISupportedTransitions;
    entry: ISupportedTransitions & {
        transition?: ITransitionConfig;
    };
    exit: ISupportedTransitions & {
        transition?: ITransitionConfig;
    };
    children?: any;
    visible?: boolean;
}
export declare const Transition: React.ForwardRefExoticComponent<ITransitionProps & React.RefAttributes<unknown>>;
export {};
